wl_registry_listener Struct Reference
The wl_registry interface

`#include <wayland-client-protocol.h>`

## Data Fields

void(* | global )(void *data, struct wl_registry *wl_registry, uint32_t name, const char *interface, uint32_t version)
void(* | global_remove )(void *data, struct wl_registry *wl_registry, uint32_t name)

## Detailed Description

Definition at line 976 of file wayland-client-protocol.h.

## Field Documentation

## global

void(* wl_registry_listener::global) (void *data, struct wl_registry *wl_registry, uint32_t name, const char *interface, uint32_t version)

announce global object

Notify the client of global objects.

The event notifies the client that a global object with the given name is now available, and it implements the given version of the given interface.

Parameters

  name | numeric name of the global object
  interface | interface implemented by the object
  version | interface version

Definition at line 989 of file wayland-client-protocol.h.

## global_remove

void(* wl_registry_listener::global_remove) (void *data, struct wl_registry *wl_registry, uint32_t name)

announce removal of global object

Notify the client of removed global objects.

This event notifies the client that the global identified by name is no longer available. If the client bound to the global using the bind request, the client should now destroy that object.

The object remains valid and requests to the object will be ignored until the client destroys it, to avoid races between the global going away and a client sending a request to it.

Parameters

  name | numeric name of the global object

Definition at line 1009 of file wayland-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/wayland-client-protocol.h